#extension GL_OES_EGL_image_external : require
precision mediump float;

uniform samplerExternalOES uExternalTexture;
uniform sampler2D uTexture;
varying mediump vec2 vTexCoord;

void main() {
  vec4 c1 = texture2D(uExternalTexture, vTexCoord);
  vec4 c2 = texture2D(uTexture, vTexCoord);
  gl_FragColor = clamp(mix(c1, c2, c2.a), 0.0, 1.0);
}
