uniform mat4 uProjectionMatrix;
uniform mat4 uModelMatrix;

attribute mediump vec4 aPosition;
attribute mediump vec2 aTexCoord;
varying mediump vec2 vTexCoord;

void main() {
  vTexCoord = aTexCoord;
  gl_Position = uProjectionMatrix * uModelMatrix * aPosition;
}
